![GitHub release](https://img.shields.io/github/release/nicolasconstant/sengi.svg?style=flat-square) [![License: AGPL v3](https://img.shields.io/badge/License-AGPL%20v3-blue.svg?style=flat-square)](https://www.gnu.org/licenses/agpl-3.0) [![AppVeyor master](https://img.shields.io/appveyor/ci/NicolasConstant/sengi/master.svg?style=flat-square)](https://ci.appveyor.com/project/NicolasConstant/sengi) [![AppVeyor tests master](https://img.shields.io/appveyor/tests/nicolasconstant/sengi/master.svg?style=flat-square)](https://ci.appveyor.com/project/NicolasConstant/sengi/build/tests) 
 
## Introduction

Sengi is a **Mastodon** and **Pleroma** desktop focused client. It takes inspiration from the old Tweetdeck [client](https://static.makeuseof.com/wp-content/uploads/2012/02/muo-tweetdeck2b.png), the new Tweetdeck webapp and Mastodon UI. 

It is strongly focused on the following points:

  * Heavily oriented on multi-accounts usage 
  * Desktop based interactions (right clic, left clic, etc)
  * One column at a time display (leaves it on the side of your screen, and keep an eye on it while doing your other stuff)

It is released as a **browser webapp** and also packaged as an **cross-platform desktop application** (Mac, Windows, and Linux).

## Official project page

[Discover Sengi](https://nicolasconstant.github.io/sengi/)

## State of development

Sengi already supporting  all the basics functionalities, but many minors enhancements are still needed before a 1.0.0 release.

## Screens

![/docs/images/presentation_small.gif](/docs/images/presentation_small.gif)

## Contact

  * [Official Sengi Account](https://mastodon.social/@sengi_app)

## What's a sengi?!

It's a little [elephant shrew](https://en.wikipedia.org/wiki/Elephant_shrew) from Africa: 

![Rhynchocyon petersi](https://upload.wikimedia.org/wikipedia/commons/thumb/8/81/Rhynchocyon_petersi_from_side.jpg/400px-Rhynchocyon_petersi_from_side.jpg)

## Contribute

Please see the [contributing guidelines](CONTRIBUTING.md)

## License

This project is licensed under the AGPLv3 License - see [LICENSE](LICENSE) for details

## Credits

See [credits](CREDITS.md)

## Dependencies 

  * [Angular 7](https://github.com/angular/angular)
  * [NGXS](https://github.com/ngxs/store)
  * [SASS](https://github.com/sass/dart-sass)
  * [Electron 4](https://github.com/electron/electron)


